FROM centos:7

RUN yum install -y curl wget vim telnet lsof && yum clean all
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime

RUN mkdir -p /usr/java/jdk1.8.0_333/ && mkdir -p /export/servers/tomcat/


RUN yum -y update bash bind-license binutils bzip2 cpio curl cyrus-sasl-lib dbus dbus-libs e2fsprogs elfutils-default-yama-scope elfutils-libelf elfutils-libs expat file-libs freetype gd glib2 glibc glibc-common gzip kpartx krb5 krb5-libs libcom_err libcurl libjpeg-turbo libpng libssh2 libtasn1 libX11 libX11-common libxml2 libxml2-python libXpm libxslt musl nspr nss nss-softokn nss-softokn-freebl nss-sysinit nss-tools nss-util openldap openssl openssl-libs perl perl-libs perl-macros perl-Pod-Escapes procps-ng python python-libs rpm rpm-build-libs rpm-libs rpm-python shared-mime-info sqlite systemd systemd-libs vim-minimal xz xz-libs zlib zstd-jni

RUN yum install -y fontconfig mkfontscale
COPY simsun.*  /usr/share/fonts/
RUN mkfontscale && mkfontdir && fc-cache -fv && fc-list

ADD jdk1.8.0_333 /usr/java/jdk1.8.0_333
ADD apache-tomcat-8.5.99 /export/servers/tomcat

ENV JAVA_HOME /usr/java/jdk1.8.0_333
ENV JAVA_BIN  /usr/java/jdk1.8.0_333/bin
ENV JRE_HOME  /usr/java/jdk1.8.0_333/jre
ENV PATH $PATH:/usr/java/jdk1.8.0_333/bin:/usr/java/jdk1.8.0_333/jre/bin
ENV CLASSPATH /usr/java/jdk1.8.0_333/jre/bin:/usr/java/jdk1.8.0_333/lib:/usr/java/jdk1.8.0_333/jre/lib/charsets.jar
RUN /bin/bash
